Name:		sdcc
Version:	3.3.0
Release:	%mkrel 2
Summary:	Small Device C Compiler
Group:		Development/Other
License:	GPLv2
URL:		http://sdcc.sourceforge.net/
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-src-%{version}.tar.bz2
Source1:	http://sourceforge.net/projects/%{name}/files/%{name}-doc/%{version}/%{name}-doc-%{version}.tar.bz2
BuildRequires:	bison
BuildRequires:	boost-devel
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	glibc-devel
BuildRequires:	gputils
BuildRequires:	libgc-devel
BuildRequires:	libstdc++-devel
Requires:	gputils
Conflicts:	sdcc2.9

%description
SDCC is a retargettable, optimizing ANSI-C compiler that targets the
Intel 8051, Maxim 80DS390, Zilog Z80 and the Motorola 68HC08 based
MCUs. Work is in progress on supporting the Microchip PIC16 and
PIC18 series. 

%package doc
Summary:	Small Device C Compiler documentation
Group:		Documentation
BuildArch:	noarch

%description doc
SDCC is a retargettable, optimizing ANSI-C compiler that targets the
Intel 8051, Maxim 80DS390, Zilog Z80 and the Motorola 68HC08 based
MCUs. Work is in progress on supporting the Microchip PIC16 and
PIC18 series.
This package installs the documentation.

%prep
%setup -q -b 1 -n %{name}-%{version}

%build
%configure2_5x \
	--enable-libgc \
	--enable-new-pics
# disable parallel build as it breaks on 24-core jonund in mga BS
make

%install
%makeinstall_std
rm -f %{buildroot}%{_includedir}/*
rm -f %{buildroot}%{_libdir}/*
rm -rf %{buildroot}%{_docdir}/ucsim
cp -rf ../doc/* %{buildroot}%{_docdir}/%{name}/
find %{buildroot} -name INSTALL.txt -delete

%files
%doc %{_docdir}/%{name}/README.txt
%doc COPYING
%{_bindir}/*
%{_datadir}/%{name}

%files doc
%{_docdir}/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.3.0-2.mga4
+ Revision: 518310
- Mageia 4 Mass Rebuild

  + barjac <barjac>
    - new version with split -doc package
    - fixes mga#11065
    - removed un-needed build requires
    - added doc tarball from upstream

  + fwang <fwang>
    - add gs as br

* Mon Jan 14 2013 umeabot <umeabot> 3.2.0-5.mga3
+ Revision: 381921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 bertl <bertl> 3.2.0-4.mga3
+ Revision: 332111
- updated to 3.2.0-svn

* Tue Feb 21 2012 bertl <bertl> 3.1.0-5.mga2
+ Revision: 211681
- extended gccbug workaround to 4.6.x
- added --enable-new-pics to build enhanced cores libraries
- updated to 3.1.0

* Thu May 12 2011 tmb <tmb> 3.0.2-1.mga1
+ Revision: 97637
- update to 3.0.2 (Herbert Poetzl)
- pic16f72x support added (Herbert Poetzl)

* Sun May 01 2011 tmb <tmb> 3.0.0-4.mga1
+ Revision: 94077
- disable parallel make as it breaks the build
- spec cleanup
- bump rel to support upgrade from mdv

  + spuhler <spuhler>
    - changed rel to 1 from 3
    - imported package sdcc

